Subject: Re: bug#43489: [PATCH] Don't signal scan-error when moving by sexp interactively

From: Stefan Monnier <[email-masked]>
Date: Thu, 24 Sep 2020 13:32:37 -0400

> I disagree Mattias.  I think swallowing errors is bad, generally.

Agreed, BUT the reason Matthias did it this way is that the error we get
currently from `scan-sexp` can't be turned into a good error message
without knowing that it was triggered during `forward-sexp`.

I think the right way to fix it is indeed not to catch&reraise the
error, but instead to:
A) improve the way errors are printed.
B) change scan-sexp so its errors can be used to generate a good error
   message without having to know whether it occurred while running
   forward-sexp or up-list.

I hoped this case would be a good opportunity to do (A), but sadly this
needs (B) to happen first and this one seemed less straightforward.
Help very welcome on this one.

        Stefan